Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.util.datatypes
Class DoubleRange

    java.lang.Object
      toxi.util.datatypes.DoubleRange

    public class DoubleRange

extends java.lang.Object

Field Summary
`double` | `currValue`
`double` | `max`
`double` | `min`

Constructor Summary
`DoubleRange()`
`DoubleRange(double min, double max)`

Method Summary
`double` | `adjustCurrentBy(double val)`
`DoubleRange` | `copy()`
`static DoubleRange` | `fromSamples(java.util.List<java.lang.Double> samples)`
`double` | `getCurrent()`
`double` | `getMedian()`
`boolean` | `isValueInRange(float val)`
`double` | `pickRandom()`
`DoubleRange` | `seed(long seed)`
`double` | `setCurrent(double val)`
`DoubleRange` | `setRandom(java.util.Random rnd)`
`java.lang.Double[]` | `toArray(double step)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### min

    public double min

### max

    public double max

### currValue

    public double currValue

Constructor Detail

### DoubleRange

    public DoubleRange()

### DoubleRange

    public DoubleRange(double min,
                       double max)

Method Detail

### fromSamples

    public static DoubleRange fromSamples(java.util.List<java.lang.Double> samples)

### adjustCurrentBy

    public double adjustCurrentBy(double val)

### copy

    public DoubleRange copy()

### getCurrent

    public double getCurrent()

### getMedian

    public double getMedian()

### isValueInRange

    public boolean isValueInRange(float val)

### pickRandom

    public double pickRandom()

### seed

    public DoubleRange seed(long seed)

### setCurrent

    public double setCurrent(double val)

### setRandom

    public DoubleRange setRandom(java.util.Random rnd)

### toArray

    public java.lang.Double[] toArray(double step)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD